select
  an.numero
  , an.dtnascimento
  , tppar.descricao as tipo_parto
  , coalesce(doea.dtinicio, aplic.dtaplicacaoproduto) as data_referencia
  , doe.nomeresumido as doenca
  , pr.nome as produto
  , aplic.doseaplicada as dose
from
  animal an
  left join reproducao par on par.cdreproducao = an.cdreproducao
  left join tipoparto tppar on tppar.cdtipoparto = par.cdtipoparto
  left join doencaanimal doea on doea.cdanimal = an.cdanimal
  left join aplicacaoproduto aplic on aplic.cdanimal = an.cdanimal
  left join doenca doe on doe.cddoenca = doea.cddoenca
  left join produto pr on pr.cdproduto = aplic.cdproduto
where
  an.tipoanimal = 'A'
  and an.dtbaixa is null
  and an.cdcategoria = 5
order by
  an.numordenado, 4
